/*
 * This source file was generated by FireStorm/DAO.
 * 
 * If you purchase a full license for FireStorm/DAO you can customize this header file.
 * 
 * For more information please visit http://www.codefutures.com/products/firestorm
 */

package umgnotas.eis.dto;

import umgnotas.eis.dao.*;
import umgnotas.eis.factory.*;
import umgnotas.eis.exceptions.*;
import java.io.Serializable;
import java.util.*;

public class TbCurso implements Serializable
{
	/** 
	 * This attribute maps to the column cur_codigo in the tb_curso table.
	 */
	protected Integer curCodigo;

	/** 
	 * This attribute maps to the column cur_nombre in the tb_curso table.
	 */
	protected String curNombre;

	/** 
	 * This attribute maps to the column cur_estado in the tb_curso table.
	 */
	protected String curEstado;

	/** 
	 * This attribute maps to the column cur_car_codigo in the tb_curso table.
	 */
	protected String curCarCodigo;

	/** 
	 * This attribute maps to the column cur_sem_codigo in the tb_curso table.
	 */
	protected Integer curSemCodigo;

	/**
	 * Method 'TbCurso'
	 * 
	 */
	public TbCurso()
	{
	}

	/**
	 * Method 'getCurCodigo'
	 * 
	 * @return Integer
	 */
	public Integer getCurCodigo()
	{
		return curCodigo;
	}

	/**
	 * Method 'setCurCodigo'
	 * 
	 * @param curCodigo
	 */
	public void setCurCodigo(Integer curCodigo)
	{
		this.curCodigo = curCodigo;
	}

	/**
	 * Method 'getCurNombre'
	 * 
	 * @return String
	 */
	public String getCurNombre()
	{
		return curNombre;
	}

	/**
	 * Method 'setCurNombre'
	 * 
	 * @param curNombre
	 */
	public void setCurNombre(String curNombre)
	{
		this.curNombre = curNombre;
	}

	/**
	 * Method 'getCurEstado'
	 * 
	 * @return String
	 */
	public String getCurEstado()
	{
		return curEstado;
	}

	/**
	 * Method 'setCurEstado'
	 * 
	 * @param curEstado
	 */
	public void setCurEstado(String curEstado)
	{
		this.curEstado = curEstado;
	}

	/**
	 * Method 'getCurCarCodigo'
	 * 
	 * @return String
	 */
	public String getCurCarCodigo()
	{
		return curCarCodigo;
	}

	/**
	 * Method 'setCurCarCodigo'
	 * 
	 * @param curCarCodigo
	 */
	public void setCurCarCodigo(String curCarCodigo)
	{
		this.curCarCodigo = curCarCodigo;
	}

	/**
	 * Method 'getCurSemCodigo'
	 * 
	 * @return Integer
	 */
	public Integer getCurSemCodigo()
	{
		return curSemCodigo;
	}

	/**
	 * Method 'setCurSemCodigo'
	 * 
	 * @param curSemCodigo
	 */
	public void setCurSemCodigo(Integer curSemCodigo)
	{
		this.curSemCodigo = curSemCodigo;
	}

	/**
	 * Method 'equals'
	 * 
	 * @param _other
	 * @return boolean
	 */
	public boolean equals(Object _other)
	{
		if (_other == null) {
			return false;
		}
		
		if (_other == this) {
			return true;
		}
		
		if (!(_other instanceof TbCurso)) {
			return false;
		}
		
		final TbCurso _cast = (TbCurso) _other;
		if (curCodigo == null ? _cast.curCodigo != curCodigo : !curCodigo.equals( _cast.curCodigo )) {
			return false;
		}
		
		if (curNombre == null ? _cast.curNombre != curNombre : !curNombre.equals( _cast.curNombre )) {
			return false;
		}
		
		if (curEstado == null ? _cast.curEstado != curEstado : !curEstado.equals( _cast.curEstado )) {
			return false;
		}
		
		if (curCarCodigo == null ? _cast.curCarCodigo != curCarCodigo : !curCarCodigo.equals( _cast.curCarCodigo )) {
			return false;
		}
		
		if (curSemCodigo == null ? _cast.curSemCodigo != curSemCodigo : !curSemCodigo.equals( _cast.curSemCodigo )) {
			return false;
		}
		
		return true;
	}

	/**
	 * Method 'hashCode'
	 * 
	 * @return int
	 */
	public int hashCode()
	{
		int _hashCode = 0;
		if (curCodigo != null) {
			_hashCode = 29 * _hashCode + curCodigo.hashCode();
		}
		
		if (curNombre != null) {
			_hashCode = 29 * _hashCode + curNombre.hashCode();
		}
		
		if (curEstado != null) {
			_hashCode = 29 * _hashCode + curEstado.hashCode();
		}
		
		if (curCarCodigo != null) {
			_hashCode = 29 * _hashCode + curCarCodigo.hashCode();
		}
		
		if (curSemCodigo != null) {
			_hashCode = 29 * _hashCode + curSemCodigo.hashCode();
		}
		
		return _hashCode;
	}

	/**
	 * Method 'createPk'
	 * 
	 * @return TbCursoPk
	 */
	public TbCursoPk createPk()
	{
		return new TbCursoPk(curCodigo);
	}

	/**
	 * Method 'toString'
	 * 
	 * @return String
	 */
	public String toString()
	{
		StringBuffer ret = new StringBuffer();
		ret.append( "umgnotas.eis.dto.TbCurso: " );
		ret.append( "curCodigo=" + curCodigo );
		ret.append( ", curNombre=" + curNombre );
		ret.append( ", curEstado=" + curEstado );
		ret.append( ", curCarCodigo=" + curCarCodigo );
		ret.append( ", curSemCodigo=" + curSemCodigo );
		return ret.toString();
	}

}
